[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Packaging a project using cmake

On Sun, Jun 8, 2008 at 9:43 AM, Riku Voipio <riku.voipio@iki.fi> wrote:
> On Sat, Jun 07, 2008 at 09:25:23PM +0200, Mathieu Malaterre wrote:
>> >> $ superdupertool libfoo.so
>> >>=> this lib requires libstdc++6 at least version 4.0.2
>> > dpkg-shlibdeps run during build does that and then dpkg-gencontrol
>> > replaces the ${shlibs:Depends} in control file
>> All this is kindda new to me. When I was looking at debian package
>> that use cmake to be build, I assumed the value in the control files
>> where hardcoded.
> You should read the Debian Policy[1] and Best Packaging Practices
> from Delopers reference[2]. Else you will generate packages that
> look superfically correct, but, are in fact buggy. IE don't develop
> by guesswork.

Ok, but REing the file format allowed me to understand the difference
between ar-as-in-GNU vs ar-as-inBSD and finding the following nasty


Anyway I'll check with Alex/Bill if this ok to not be backward
compatible and only build deb on debian machine.

Thanks everybody,

Reply to: